#include "MaterialNode.h"

MaterialNode::MaterialNode(const Transform& transform)
    : AbstractVisualNode(transform),
        mFillColor(Color(255, 255, 255)),
        mStrokeColor(Color(0, 0, 0))
{

}

MaterialNode::~MaterialNode()
{

}

const Color& MaterialNode::getFillColor() const
{
    return mFillColor;
}

const Color& MaterialNode::getStrokeColor() const
{
    return mStrokeColor;
}

void MaterialNode::setHasStrokeColor(bool hasStroke)
{
    if (mHasStrokeColor != hasStroke)
    {
        mHasStrokeColor = hasStroke;
        mMaterialIsDirty = true;
    }
}

void MaterialNode::setHasFillColor(bool hasFill)
{
    if (mHasFillColor != hasFill)
    {
        mHasFillColor = hasFill;
        mMaterialIsDirty = true;
    }
}

void MaterialNode::setFillColor(const Color& color)
{
    mHasFillColor = true;

    if (mFillColor != color)
    {
        mMaterialIsDirty = true;
        mFillColor = color;       
    }
}

void MaterialNode::setStrokeColor(const Color&  color)
{
    mHasStrokeColor = true;

    if (mStrokeColor != color)
    {
        mMaterialIsDirty = true;
        mStrokeColor = color;    
    }
}
